# LibrePOS

LibrePOS is a **free and open-source**, web-based Point of Sale (POS) system designed specifically for **restaurants** and **mobile food vendors**. Built using **Python** and **Flask**, it combines modern front-end and back-end technologies to deliver a reliable, efficient, and customizable POS experience.

This project is ideal for **small businesses** seeking a cost-effective and flexible POS solution to manage their sales operations seamlessly.

## Features

- **Inventory Management**: Track and manage items in stock to ensure you’re never out of key menu items.
- **Customizable Menu**: Create and edit your menu or inventory items effortlessly.
- **Multiple Payment Options**: Accept different types of payments like cash, card, and digital wallets.
- **Multi-user Support**: Manage roles and permissions for users like cashiers, managers, or administrators.
- **Real-time Reporting**: View sales reports and summaries in real-time.
- **Responsive Design**: Accessible on both desktop and mobile devices.
- **Open Source and Free**: Customize it to meet your specific needs!

## Technology Stack

- **Backend**: Python (Flask)
- **Frontend**: Bootstrap, JavaScript, and modern UI frameworks
- **Database**:
  - [**PostgreSQL**](DATABASE_CONFIGURATION.md#1-postgresql)
  - [**MySQL**](DATABASE_CONFIGURATION.md#2-mysql)
  - [**Oracle**](DATABASE_CONFIGURATION.md#3-oracle)
  - [**Microsoft SQL Server**](DATABASE_CONFIGURATION.md#4-microsoft-sql-server)
  - [**SQLite**](DATABASE_CONFIGURATION.md#5-sqlite-default-for-development-and-standalone-instances) (used for development and standalone instances)
- **Deployment**: Compatible with popular platforms such as Docker, Heroku, and AWS.


## Installation

You can install LibrePOS using one of the following methods. See the [Installation Guide](INSTALLATION.md) for detailed steps:

1. [Install from GitHub](INSTALLATION.md#1-installing-librepos-from-github)
2. [Install from PyPI](INSTALLATION.md#2-installing-librepos-from-pypi)
3. [Install with `uv`, `venv`, or `poetry`](INSTALLATION.md#5-using-uv-for-installation-and-management)


## Contribution

Contributions are welcome! If you'd like to improve this project or add new features, please fork the repository, make your changes, and submit a pull request.

### Steps to Contribute:
1. Fork the repository.
2. Create a new branch (`git checkout -b feature-name`).
3. Commit your changes (`git commit -m "Add some feature"`).
4. Push to the branch (`git push origin feature-name`).
5. Submit a pull request.

## License

LibrePOS is licensed under the **GNU GENERAL PUBLIC LICENSE Version 3**, giving you the freedom to run, study, share, and modify the software while ensuring that all derivative works remain open source. See the [LICENSE](LICENSE) file for more details.

## Support

If you encounter any issues or have questions, feel free to open an issue on the [GitHub repository](https://github.com/BaezFJ/LibrePOS/issues).

---

Empowering small businesses with a flexible and modern POS system!